package com.YuyeTech.TPlat.game.userinfo.repository;

import com.YuyeTech.TPlat.common.repository.CommonRepository;
import com.YuyeTech.TPlat.game.userinfo.projo.MainInfo;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

/**
 * @author:slambb
 * @date:2019/12/31
 */
public interface MainInfoRepository extends CommonRepository<MainInfo,String> {

   Optional<MainInfo> findByTelephoneNumberAndPassword(String phoneNumber,String password);
   Optional<MainInfo> findByTelephoneNumber(String phoneNumber);
   Optional<MainInfo> findByEmailAndPassword(String email,String password);
   Optional<MainInfo> findByEmail(String email);

}
